Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class PatternAssignment

    java.lang.Object
      ix.icore.domain.PatternAssignment

All Implemented Interfaces:
  java.io.Serializable

    public class PatternAssignment

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected LList` | `pattern`
`static Symbol` | `S_FALSE`
`static Symbol` | `S_TRUE`
`protected java.lang.Object` | `value`

Constructor Summary
`PatternAssignment()`
`PatternAssignment(LList pattern)` Construct a PatternAssignment in which the value is the `Symbol` named "true".
`PatternAssignment(LList pattern, java.lang.Object value)`
`PatternAssignment(java.util.Map.Entry e)`

Method Summary
`static java.util.Map` | `assignmentsToMap(java.util.Collection assigns)`
`boolean` | `equals(java.lang.Object x)`
`LList` | `getPattern()`
`java.lang.Object` | `getValue()`
`java.util.Set` | `getVariables()`
`int` | `hashCode()`
`PatternAssignment` | `instantiate(MatchEnv env, Function1 ifUnbound)`
`static ix.icore.domain.ListOfPatternAssignment` | `mapToAssignments(java.util.Map m)`
`void` | `setPattern(LList pattern)`
`void` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### S_TRUE

    public static final Symbol S_TRUE

### S_FALSE

    public static final Symbol S_FALSE

### pattern

    protected LList pattern

### value

    protected java.lang.Object value

Constructor Detail

### PatternAssignment

    public PatternAssignment()

### PatternAssignment

    public PatternAssignment(LList pattern,
                             java.lang.Object value)

### PatternAssignment

    public PatternAssignment(LList pattern)

  Construct a PatternAssignment in which the value is the `Symbol` named "true".

### PatternAssignment

    public PatternAssignment(java.util.Map.Entry e)

Method Detail

### getPattern

    public LList getPattern()

### setPattern

    public void setPattern(LList pattern)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### instantiate

    public PatternAssignment instantiate(MatchEnv env,
                                         Function1 ifUnbound)

### getVariables

    public java.util.Set getVariables()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object x)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### assignmentsToMap

    public static java.util.Map assignmentsToMap(java.util.Collection assigns)

### mapToAssignments

    public static ix.icore.domain.ListOfPatternAssignment mapToAssignments(java.util.Map m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD